set( APPLICATION_NAME       "edudrive@RNP" )
set( APPLICATION_SHORTNAME  "edudrive@RNP" )
set( APPLICATION_EXECUTABLE "edudrive" )
set( APPLICATION_DOMAIN     "edudrive.rnp.br" )
set( APPLICATION_VENDOR     "Rede Nacional de Ensino e Pesquisa - RNP" )
set( APPLICATION_UPDATE_URL "https://edudrive.rnp.br/update" CACHE STRING "Endereço para atualização" )
set( APPLICATION_ICON_NAME  "edudrive" )

set( THEME_CLASS            "edudriveTheme" )
set( APPLICATION_REV_DOMAIN "br.rnp.edudrive.desktopclient" )

set( WIN_SETUP_BITMAP_PATH  "${OEM_THEME_DIR}/win" )
set( MAC_INSTALLER_BACKGROUND_FILE "${OEM_THEME_DIR}/osx/installer-background.png" CACHE STRING "The MacOSX installer background image")

set( THEME_INCLUDE          "${OEM_THEME_DIR}/edudrivetheme.h" )
# set( APPLICATION_LICENSE    "${OEM_THEME_DIR}/license.txt )

option( WITH_CRASHREPORTER "Build crashreporter" OFF )
set( CRASHREPORTER_SUBMIT_URL "https://crash-reports.owncloud.com/submit" CACHE string "URL for crash reporter" )
set( CRASHREPORTER_ICON ":/owncloud-icon.png" )

if(CPACK_GENERATOR MATCHES "NSIS")
  set( CPACK_PACKAGE_ICON  "{OEM_THEME_DIR}/win/installer.ico" ) # Set installer icon
endif(CPACK_GENERATOR MATCHES "NSIS")

if(APPLE)
  set( CPACK_PACKAGE_ICON ${CMAKE_BINARY_DIR}/src/gui/edudrive.icns)
endif()
